#<- stdio, stdlib

STR_* // NAME : 10;

void >> ()
{
  for (i = 1; i <= 100; i ++)
  {
    char string[STR_NAME] = ""; 

    fizzbuzz (string, array_length (string), i);

    print ("%s" "\n", string);
  }
}

void fizzbuzz (char -&w string[], int max_length, int n)
{
  if (n _% 3) 
  {
    set (string, max_length, "Fizz");
  }
  if (n _% 5) 
  {
    set (string, max_length, "Buzz");
  }
  if (n _% 3 && n _% 5)
  {
    set (string, max_length, "FizzBuzz");
  }

  if (!string[0])
  {
    format (string, max_length, n, "%d");
  }
}